Bug 1313047 - Create a sub package for ostree
Summary: Create a sub package for ostree
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Sachin Ghai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1321771
TreeView+ depends on / blocked
 
Reported: 2016-02-29 19:42 UTC by Partha Aji
Modified: 2019-09-26 17:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:03:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13676 None None None 2016-04-22 16:10:48 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Partha Aji 2016-02-29 19:42:29 UTC
We need to create a sub package for ostree. 

That sub package needs to include
1) a dep on pulp-ostree-plugins
2) include lib/katello/repository_types/ostree.rb
3) Fix katello spec to exclude lib/katello/repository_types/ostree.rb

Comment 1 Partha Aji 2016-02-29 19:42:31 UTC
Created from redmine issue http://projects.theforeman.org/issues/13676

Comment 2 Partha Aji 2016-02-29 19:42:33 UTC
Upstream bug assigned to paji@redhat.com

Comment 3 Partha Aji 2016-02-29 19:43:20 UTC
Fixed in -> https://github.com/Katello/katello-packaging/pull/168

Comment 6 Sachin Ghai 2016-04-05 12:36:13 UTC
Verified with sat6.2 beta snap6

following packages have been installed with ostree and its plugin:

[root@cloud-qe-15 foreman-proxy]# rpm -qa | grep ostree
python-pulp-ostree-common-1.1.0.2-1.el7sat.noarch
tfm-rubygem-katello_ostree-3.0.0.12-1.el7sat.noarch
ostree-2016.1-2.atomic.el7.x86_64
pulp-ostree-plugins-1.1.0.2-1.el7sat.noarch

Comment 9 errata-xmlrpc 2016-07-27 09:03:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.